Uploaded image for project: 'Marathon'
  1. Marathon
  2. MARATHON-8379

Publishing of .deb packages broken by invalid version number

    Details

    • Sprint:
      Marathon 2018-27, Marathon 2018-28, Marathon 2018-29
    • Story Points:
      2
    • Build artifact:
      Marathon-v1.7.174

      Description

      There's packages in our repo with the version number `_all` as opposed to `ubuntu1204` or `ubuntu1610` etc.

      This breaks the publishing of our Debian and Ubuntu packages because all distributions share a common package pool. So if there's a file with the same filename belonging to two different Ubuntu versions it creates a conflict and the publisher stops exporting the repo.

      ERROR: unable to publish: unable to process packages: error linking file to /home/pkgmaintainer/repo/roots/ubuntu/public/pool/main/m/marathon/upstart-marathon_1.6.496_all.deb: file already exists and is different
      

      Until this is fixed nobody can publish any Debian or Ubuntu packages.

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                kjeschkies Karsten Jeschkies
                Reporter:
                lukas Lukas Lösche
                Team:
                Orchestration Team
                Watchers:
                Karsten Jeschkies, Ken Sipe, Lukas Lösche, Matthias Eichstedt, Tim Harper
              • Watchers:
                5 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: